Bug Tracker

Opened 7 years ago

Closed 7 years ago

Last modified 7 years ago

#13972 closed bug (notabug)

TOGGLE() FUNCTION IN V.1.9.1+ CAUSES SELECTOR ELEMENT TO DISAPPEAR (DISPLAY:NONE;)

Reported by: tj@… Owned by:
Priority: undecided Milestone: None
Component: unfiled Version: 1.9.1
Keywords: Cc:
Blocked by: Blocking:

Description

Console Error now fixed as recommended, though bug still exists: http://bugs.jquery.com/ticket/13971

Browsers tested: IE9, Firefox 21 and Chrome 26

Reproducible here: http://jsfiddle.net/xDZRE/

When jquery 1.8.3 or earlier is used the "+" and "-" trigger (.toggle-link) is visible and allows for expansion and collapsing of paragraph (.description) text.

When jquery 1.9.1 or greater is used, the "+" and "-" element is set to display none so expansion and collapsing of paragraph text is impossible.

Thank you! TJ

Change History (7)

comment:1 Changed 7 years ago by dmethvin

Resolution: notabug
Status: newclosed

This is not a forum where users go to get peer-to-peer help. It is a bug tracker where the developers of jQuery try to track actual bugs in the code. You're using deprecated functionality, that's what the console message is telling you.

http://jsfiddle.net/xDZRE/2/

Please stop creating tickets and ask for help on a forum or StackOverflow.

comment:3 Changed 7 years ago by dmethvin

This is what the jQuery documentatation has to say:

http://api.jquery.com/toggle-event/

comment:5 Changed 7 years ago by dmethvin

comment:6 Changed 7 years ago by dmethvin

The main download page advises everyone to read the 1.9 upgrade guide and use the jQuery Migrate plugin:

http://jquery.com/download/

comment:7 Changed 7 years ago by dmethvin

The original 1.9 blog post and just about every post after that mention both the upgrade guide and the jQuery Migrate plugin in the first few paragraphs:

http://blog.jquery.com/2013/01/15/jquery-1-9-final-jquery-2-0-beta-migrate-final-released/

Note: See TracTickets for help on using tickets.